<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: PlayerPerspective Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classPlayerPerspective-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">PlayerPerspective Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for PlayerPerspective:</div>
<div class="dyncontent">
<div class="center"><img src="classPlayerPerspective__inherit__graph.png" border="0" usemap="#aPlayerPerspective_inherit__map" alt="Inheritance graph"/></div>
<map name="aPlayerPerspective_inherit__map" id="aPlayerPerspective_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,144,107"/>
<area shape="rect" title=" " alt="" coords="11,5,139,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for PlayerPerspective:</div>
<div class="dyncontent">
<div class="center"><img src="classPlayerPerspective__coll__graph.png" border="0" usemap="#aPlayerPerspective_coll__map" alt="Collaboration graph"/></div>
<map name="aPlayerPerspective_coll__map" id="aPlayerPerspective_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,144,107"/>
<area shape="rect" title=" " alt="" coords="11,5,139,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:a19ee708da84fdbb399f9432100dfc109"><td class="memItemLeft" align="right" valign="top"><a id="a19ee708da84fdbb399f9432100dfc109"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedTreasureInWagonInTrain</b> (<a class="el" href="classTreasure.html">Treasure</a> *t, <a class="el" href="classWagon.html">Wagon</a> *w, <a class="el" href="classTrain.html">Train</a> *train)</td></tr>
<tr class="separator:a19ee708da84fdbb399f9432100dfc109"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaac2572f0b4af78043de5d4f3576e3be"><td class="memItemLeft" align="right" valign="top"><a id="aaac2572f0b4af78043de5d4f3576e3be"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedCardInHandInPlayer</b> (<a class="el" href="classCard.html">Card</a> *c, <a class="el" href="classHand.html">Hand</a> *h, <a class="el" href="classPlayer.html">Player</a> *p)</td></tr>
<tr class="separator:aaac2572f0b4af78043de5d4f3576e3be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3f28019a9b0c97f8dcb89968893bcd2"><td class="memItemLeft" align="right" valign="top"><a id="aa3f28019a9b0c97f8dcb89968893bcd2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedCardInDeckInPlayer</b> (<a class="el" href="classCard.html">Card</a> *c, <a class="el" href="classDeck.html">Deck</a> *d, <a class="el" href="classPlayer.html">Player</a> *p)</td></tr>
<tr class="separator:aa3f28019a9b0c97f8dcb89968893bcd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad88f7bee966e368e95e5b9fa3c7b5066"><td class="memItemLeft" align="right" valign="top"><a id="ad88f7bee966e368e95e5b9fa3c7b5066"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedTreasureInPlayerStatsInTable</b> (<a class="el" href="classTreasure.html">Treasure</a> *, <a class="el" href="classPlayerStats.html">PlayerStats</a> *, <a class="el" href="classTable.html">Table</a> *)</td></tr>
<tr class="separator:ad88f7bee966e368e95e5b9fa3c7b5066"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55abf70047ad793339319e02f044d0a9"><td class="memItemLeft" align="right" valign="top"><a id="a55abf70047ad793339319e02f044d0a9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedPlayerInWagonInTrain</b> (<a class="el" href="classPlayer.html">Player</a> *, <a class="el" href="classWagon.html">Wagon</a> *, <a class="el" href="classTrain.html">Train</a> *)</td></tr>
<tr class="separator:a55abf70047ad793339319e02f044d0a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ecec3c96a6241b1790ec4d5d4ee082e"><td class="memItemLeft" align="right" valign="top"><a id="a6ecec3c96a6241b1790ec4d5d4ee082e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedWagonInTrain</b> (<a class="el" href="classWagon.html">Wagon</a> *w, <a class="el" href="classTrain.html">Train</a> *train)</td></tr>
<tr class="separator:a6ecec3c96a6241b1790ec4d5d4ee082e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ec3e59f4c80c9860b2f1b9f92e2f785"><td class="memItemLeft" align="right" valign="top"><a id="a3ec3e59f4c80c9860b2f1b9f92e2f785"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onPlayerChoseWagon</b> (int playerIndex, int wagonIndex)</td></tr>
<tr class="separator:a3ec3e59f4c80c9860b2f1b9f92e2f785"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30be453da3499e258cb5ed0e40f97d2d"><td class="memItemLeft" align="right" valign="top"><a id="a30be453da3499e258cb5ed0e40f97d2d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onPlayerPlayedCard</b> (int playerIndex, int CardIndex)</td></tr>
<tr class="separator:a30be453da3499e258cb5ed0e40f97d2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab62bfc5a32526fcc133f83bc57baa364"><td class="memItemLeft" align="right" valign="top"><a id="ab62bfc5a32526fcc133f83bc57baa364"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onPlayerDrawCards</b> (int playerIndex)</td></tr>
<tr class="separator:ab62bfc5a32526fcc133f83bc57baa364"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a150756370adb1a26d9e1b5cb0617cfe6"><td class="memItemLeft" align="right" valign="top"><a id="a150756370adb1a26d9e1b5cb0617cfe6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onActionSheriffSignal</b> (int wagonIndex)</td></tr>
<tr class="separator:a150756370adb1a26d9e1b5cb0617cfe6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf127703fc48ea7033211183e6ee912c"><td class="memItemLeft" align="right" valign="top"><a id="adf127703fc48ea7033211183e6ee912c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onActionFireSignal</b> (int playerIndex)</td></tr>
<tr class="separator:adf127703fc48ea7033211183e6ee912c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace6401b5809507e13a3d1583a0faaa26"><td class="memItemLeft" align="right" valign="top"><a id="ace6401b5809507e13a3d1583a0faaa26"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onActionChangeFloorSignal</b> (int wagonIndex)</td></tr>
<tr class="separator:ace6401b5809507e13a3d1583a0faaa26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae66855b1dca862d616273623d32c6a9"><td class="memItemLeft" align="right" valign="top"><a id="aae66855b1dca862d616273623d32c6a9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onActionChangeWagonSignal</b> (int wagonIndex)</td></tr>
<tr class="separator:aae66855b1dca862d616273623d32c6a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65c810975f88d164984c30e38422850d"><td class="memItemLeft" align="right" valign="top"><a id="a65c810975f88d164984c30e38422850d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onActionRobberySignal</b> (int treasureIndex, int wagonIndex)</td></tr>
<tr class="separator:a65c810975f88d164984c30e38422850d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadf0b2bcf2f1e36626a72c02bfa5321d"><td class="memItemLeft" align="right" valign="top"><a id="aadf0b2bcf2f1e36626a72c02bfa5321d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onActionPunchSignal</b> (int treasureIndex, int playerIndex, int wagonIndex)</td></tr>
<tr class="separator:aadf0b2bcf2f1e36626a72c02bfa5321d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a48555535d49600218e8c745a3ef94997"><td class="memItemLeft" align="right" valign="top"><a id="a48555535d49600218e8c745a3ef94997"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>playerChoseWagon</b> (int playerIndex, int wagonIndex)</td></tr>
<tr class="separator:a48555535d49600218e8c745a3ef94997"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a052fc2a353c58f9d51799696500ef3ba"><td class="memItemLeft" align="right" valign="top"><a id="a052fc2a353c58f9d51799696500ef3ba"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>playerPlayedCard</b> (int playerIndex, int CardIndex)</td></tr>
<tr class="separator:a052fc2a353c58f9d51799696500ef3ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ba5b338ed42daa95bd018fbc1f32e0d"><td class="memItemLeft" align="right" valign="top"><a id="a9ba5b338ed42daa95bd018fbc1f32e0d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>movePlayed</b> (<a class="el" href="classPlayerPerspective.html">PlayerPerspective</a> *, int indexOfNextPerspective)</td></tr>
<tr class="separator:a9ba5b338ed42daa95bd018fbc1f32e0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dc3292d0d334a8234e0aef6a2274806"><td class="memItemLeft" align="right" valign="top"><a id="a0dc3292d0d334a8234e0aef6a2274806"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>playerDrawCards</b> (int playerIndex)</td></tr>
<tr class="separator:a0dc3292d0d334a8234e0aef6a2274806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bdae88711f77d9f94435354b5941314"><td class="memItemLeft" align="right" valign="top"><a id="a2bdae88711f77d9f94435354b5941314"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>actionSheriffSignal</b> (int wagonIndex)</td></tr>
<tr class="separator:a2bdae88711f77d9f94435354b5941314"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d163335bace2de1977b86fe9ee5a840"><td class="memItemLeft" align="right" valign="top"><a id="a7d163335bace2de1977b86fe9ee5a840"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>actionFireSignal</b> (int playerIndex)</td></tr>
<tr class="separator:a7d163335bace2de1977b86fe9ee5a840"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac96d5deb03863471acfbc5f693ae6872"><td class="memItemLeft" align="right" valign="top"><a id="ac96d5deb03863471acfbc5f693ae6872"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>actionChangeFloorSignal</b> (int wagonIndex)</td></tr>
<tr class="separator:ac96d5deb03863471acfbc5f693ae6872"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c0583412af0a0c7463103057345f22b"><td class="memItemLeft" align="right" valign="top"><a id="a3c0583412af0a0c7463103057345f22b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>actionChangeWagonSignal</b> (int wagonIndex)</td></tr>
<tr class="separator:a3c0583412af0a0c7463103057345f22b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4126383d4aa57194c5355d4401fabf07"><td class="memItemLeft" align="right" valign="top"><a id="a4126383d4aa57194c5355d4401fabf07"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>actionRobberySignal</b> (int treasureIndex, int wagonIndex)</td></tr>
<tr class="separator:a4126383d4aa57194c5355d4401fabf07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5580a90ec88e36311083fae8fb4fece9"><td class="memItemLeft" align="right" valign="top"><a id="a5580a90ec88e36311083fae8fb4fece9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>actionPunchSignal</b> (int treasureIndex, int playerIndex, int wagonIndex)</td></tr>
<tr class="separator:a5580a90ec88e36311083fae8fb4fece9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a35e061ad838cf4de8d7b776ce8ff1513"><td class="memItemLeft" align="right" valign="top"><a id="a35e061ad838cf4de8d7b776ce8ff1513"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>PlayerPerspective</b> (<a class="el" href="classGame.html">Game</a> *game, int playerIndex, QObject *parent=nullptr)</td></tr>
<tr class="separator:a35e061ad838cf4de8d7b776ce8ff1513"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4f93c8b661fedf82026af74d1ed27cc"><td class="memItemLeft" align="right" valign="top"><a id="af4f93c8b661fedf82026af74d1ed27cc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>addGameToScene</b> ()</td></tr>
<tr class="separator:af4f93c8b661fedf82026af74d1ed27cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cf76c045516988dfc1e04fd9330ef4c"><td class="memItemLeft" align="right" valign="top"><a id="a5cf76c045516988dfc1e04fd9330ef4c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>removeGameFromScene</b> ()</td></tr>
<tr class="separator:a5cf76c045516988dfc1e04fd9330ef4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26098e1d02207fd8c89570b7b245017c"><td class="memItemLeft" align="right" valign="top"><a id="a26098e1d02207fd8c89570b7b245017c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>drawCards</b> (int n)</td></tr>
<tr class="separator:a26098e1d02207fd8c89570b7b245017c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a476591a5dd717dd992ec60e399d4dff2"><td class="memItemLeft" align="right" valign="top"><a id="a476591a5dd717dd992ec60e399d4dff2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setNextPlayerToToMove</b> ()</td></tr>
<tr class="separator:a476591a5dd717dd992ec60e399d4dff2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca7332bb7388dc13b8dd3d7830c9d598"><td class="memItemLeft" align="right" valign="top"><a id="aca7332bb7388dc13b8dd3d7830c9d598"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getPlayerToMoveIndex</b> () const</td></tr>
<tr class="separator:aca7332bb7388dc13b8dd3d7830c9d598"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd43fa6e1a09bd5cecef1cad10d9345d"><td class="memItemLeft" align="right" valign="top"><a id="afd43fa6e1a09bd5cecef1cad10d9345d"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getPlayerSize</b> ()</td></tr>
<tr class="separator:afd43fa6e1a09bd5cecef1cad10d9345d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="playerperspective_8h_source.html">playerperspective.h</a></li>
<li>src/playerperspective.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
